package com.gic.haoban.manage.service.service;

import com.gic.haoban.manage.api.dto.StaffDepartmentRelatedDTO;
import com.gic.haoban.manage.service.entity.TabHaobanStaff;
import com.gic.haoban.manage.service.entity.TabHaobanStaffDepartmentRelated;

import java.util.List;

public interface StaffDepartmentRelatedService {

	List<TabHaobanStaffDepartmentRelated> listByDepartmentId(String departmentId);

	String add(StaffDepartmentRelatedDTO related);

	List<TabHaobanStaffDepartmentRelated> listStaffDepartmentByStaffId(String staffId);

	void del(StaffDepartmentRelatedDTO related);

	void delByStaffid(String userid);

//	TabHaobanStaffDepartmentRelated getDepartmentIdAndStaffId(String departmentId, String staffId);

	/**
	 * 清空stafff
	 * @param wxEnterpriseId
	 * @param staffIds
	 * @return
	 */
	public int cleanStaffDepartment(String wxEnterpriseId,List<String> staffIds);

	public int update(TabHaobanStaffDepartmentRelated tab);
	
	/**
	 * 
	* @Title: repairAllStaffDepart
	* @Description: 定时修复成员部门
	* @author xugh
	* @param params
	* @throws
	 */
	public void repairAllStaffDepart(String params) ; 
	public void repairStaffDepart(String staffId) ; 
	public void staffDepartChange(TabHaobanStaff staff, String wxEnterpriseId, Integer[] departmentIds, boolean retryFlag) ;

}
